#ifndef STEPPER_INIT_H
#define STEPPEr_INIT_H

#include <stm32f0xx.h>
#include <gpio-afr.hpp>
#include <gpio-pin.hpp>
#include "output-compare-channel.hpp"

using namespace stm32f072xb;

struct StepperInit {
	TIM_TypeDef* timer;
	const OutputCompareChannel OCC;
	const GpioPin pwmPin;
	AlternateFunction alternateFunction;
	const GpioPin directionPin;
	const GpioPin disablePort;
};

#endif
